%global bundle org.apache.felix.log

Name:          felix-log
Version:       1.0.0
Release:       %mkrel 4
Summary:       Apache Felix Log Service
Group:         Development/Java
License:       ASL 2.0
Url:           http://felix.apache.org/
#Source0:       http://www.apache.org/dist/felix/org.apache.felix.log-%{version}-project.tar.gz
# svn export https://svn.apache.org/repos/asf/felix/releases/org.apache.felix.log-1.0.0
# tar czf org.apache.felix.log-1.0.0-src-svn.tar.gz org.apache.felix.log-1.0.0
Source0:       org.apache.felix.log-1.0.0-src-svn.tar.gz
Patch0:        felix-log-1.0.0-pom_xml.patch
BuildRequires: java-devel
BuildRequires: jpackage-utils

BuildRequires: maven-compiler-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-local
BuildRequires: maven-plugin-bundle
BuildRequires: maven-surefire-provider-junit4

BuildRequires: felix-parent
BuildRequires: felix-osgi-compendium
BuildRequires: felix-osgi-core

Requires:      felix-osgi-compendium
Requires:      felix-osgi-core
Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:      java
BuildArch:     noarch

%description
A simple implementation of the OSGi R4 Log service.

%package javadoc
Summary:          Javadocs for %{name}
Group:            Development/Java
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{bundle}-%{version}
%patch0 -p0

%build
mvn-rpmbuild install javadoc:aggregate
%install
[ %{buildroot} != / ] && rm -rf %{buildroot}
install -d -m 0755 %{buildroot}%{_javadir}/felix
install -m 644 target/%{bundle}-%{version}.jar \
  %{buildroot}%{_javadir}/felix/%{bundle}.jar

install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP.felix-%{bundle}.pom
%add_maven_depmap JPP.felix-%{bundle}.pom felix/%{bundle}.jar

install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/api*/* %{buildroot}%{_javadocdir}/%{name}/

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/felix/%{bundle}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE NOTICE

%files javadoc
%{_javadocdir}/%{name}


%changelog
* Fri Oct 18 2013 luigiwalser <luigiwalser> 1.0.0-4.mga4
+ Revision: 504824
- BR maven-local for mvn-rpmbuild

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1.0.0-2.mga3
+ Revision: 350146
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 05 2011 dmorgan <dmorgan> 1.0.0-1.mga2
+ Revision: 131897
- Fix buildrequires
- Clean spec file

  + gil <gil>
    - imported package felix-log

